Issue 52472 - OOo 2.0 Impress does not seem to support Layers
Summary: OOo 2.0 Impress does not seem to support Layers
Status: CLOSED DUPLICATE of issue 57904
Alias: None
Product: Impress
Classification: Application
Component: programming (show other issues)
Version: OOo 2.0 Beta
Hardware: All All
: P3 Trivial with 2 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-25 23:12 UTC by mneumann
Modified: 2017-05-20 10:06 UTC (History)
5 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description mneumann 2005-07-25 23:12:04 UTC
I downloaded the OOo 2.0 Beta version and found out that the layer support has
disappeared. Since I am heavily depending on layers, I would like to find out
more about it. And is there any chance to add layer support, at least
programmatically? Since Impress is derivied from Draw, I hope that would be
feasible to do.

Here some reasons why layers are important for me:
-I am using background pictures which I place on a separate layer that is
locked. This way when I give the presentations for editing, people can change
the text, but they cannot move the pictures by mistake.
-I am having a separate layer with guidelines for the title safe area of the
screen. This layer I switch off for projection or when exporting, but it gives
me at design time a good idea for consistent borders. Since in V 2.0 even the
Guidelines are gone, I am heavily depending on that layer.

I can see the layers also useful for multilingual presentations or for slight
variations of a talk that can be switched on and off. Keeping layers in Impress
would be a very beneficial feature that makes the program so much more useful
than the competition, especially for professional users.
Comment 1 wolframgarten 2005-07-26 07:43:07 UTC
Reassigned.
Comment 2 khirano 2005-09-15 07:31:08 UTC
"layers:definition" in the Online Help of 2.0 Beta2 says:
About Layers
Layers are available in OpenOffice.org Draw, not in OpenOffice.org Impress. 
....
OK, but why??
;)
Comment 3 ace_dent 2008-05-16 01:42:29 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 2+ years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 mneumann 2008-05-16 11:09:23 UTC
Just checked in OOO 2.4 and still no change. Would be nice if that could be
resolved in the 3.0 release. If there is a strong reason for discontinuing
layers, I would be at least interested to know the reasons for it. I wonder
whether other users find layers a helpful thing as well. And since Draw and
Impress share much of the same code, it should not be a hard thing to have that
implemented. For my workflow layers are really essential, and I am still working
with version 1.1.5 for this reason. But... it would be really nice to be able to
upgrade again...
Comment 5 novales 2009-01-20 13:19:40 UTC
not solved in 00o 3.0.

Similar to issue 57904 which is confirmed, but have not target milestone
Comment 6 Edwin Sharp 2014-04-28 12:11:11 UTC
Duplicate per comment 5

*** This issue has been marked as a duplicate of issue 57904 ***